Bug 148182 - [patch] Font-size in www/webkit-gtk2 error template.
Summary: [patch] Font-size in www/webkit-gtk2 error template.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-27 04:50 UTC by Romain Tartière
Modified: 2010-07-19 00:00 UTC (History)
0 users

See Also:


Attachments
patch-WebKit_gtk_resources_error.html (270 bytes, text/plain)
2010-06-27 04:50 UTC, Romain Tartière
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2010-06-27 04:50:08 UTC
The www/webkit-gtk2 port install an html file displayed when an error is encountered.  The font-size used in this page is so big the error message is painful to read.  The CSS code gets mangled from the file and font-size is set to '120' instead of '120%', resulting in a rendering using HUGE fonts (%s is replaced by the URL, but invalid %X or just removed, so replacing these 'malformed' '%' with '%%' fix the problem).

Fix: This is purely cosmetic, but here is a patch:
How-To-Repeat: Install www/epiphany and browse an inexistent URL, e.g.
http://show-me-a-big-font.com
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-07-14 01:17:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer(s).
Comment 2 Koop Mast freebsd_committer 2010-07-14 15:09:12 UTC
State Changed
From-To: open->patched

Patched, will appear in regular ports after 8.1-R.
Comment 3 dfilter service freebsd_committer 2010-07-18 23:49:28 UTC
kwm         2010-07-18 22:49:18 UTC

  FreeBSD ports repository

  Modified files:
    www/webkit-gtk2      Makefile distinfo 
  Added files:
    www/webkit-gtk2/files patch-WebKit_gtk_resources_error.html 
  Removed files:
    www/webkit-gtk2/files patch-GNUmakefile.in 
  Log:
  Update to 1.2.3.
  
  This fixes a lot of security vulnabilites.
  Fix the font size when webkit based browsers can't find a webpage. [1]
  Chase after shlib version of icu4. [2]
  
  PR:             ports/148182 [1], ports/148743 [2]
  Submitted by:   Romain Tartiere <romain@FreeBSD.org> [1]
                  Jonathan Chen <jonc@chen.org.nz> [2]
  Security:       19419b3b-92bd-11df-b140-0015f2db7bde
  
  Revision  Changes    Path
  1.28      +4 -5      ports/www/webkit-gtk2/Makefile
  1.6       +3 -3      ports/www/webkit-gtk2/distinfo
  1.2       +0 -13     ports/www/webkit-gtk2/files/patch-GNUmakefile.in (dead)
  1.1       +17 -0     ports/www/webkit-gtk2/files/patch-WebKit_gtk_resources_error.html (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2010-07-18 23:49:56 UTC
State Changed
From-To: patched->closed

Committed thanks!